/* ===== ****************** new style *****************************************===== */

:root {
  --text-color: #9b3c2f;
  --overlay: rgba(255, 255, 255, 0.82);
  --accent: #f39c12;

   --heading: #8f3a2c;     /* قريب من لون العنوان بالصورة */
  --subheading: #8f3a2c;  /* لون عناوين الكروت */
  --text: #b07b73;        /* لون الفقرات */
  --bg: #ffffff;
}


/* إعدادات عامة */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;   
}
body {
  font-family: 'Arial', sans-serif;
  scroll-behavior: smooth;
}

a{
    text-decoration: none;
}
.contact{
    padding: 10px 20px;
    color: #001e4d;
    border: 2px solid #001e4d;
    border-radius: 30px;
    font-size: 22px;
}
.contact:hover{
     color: #6a89bb;
    border: 2px solid #6a89bb;
}


.textenter {
    white-space: pre-line;
    word-wrap: break-word;
}







/********************************************/

/*************************** تنسيق الناف بار *************************/
.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color:transparent;
    color: white;
    padding: 20px;
}

.contant-info {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 20px;
    width: 60%;
}

.contant-top ul, .contant-bottom ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
    gap: 20px;
}

.contant-top ul li, .contant-bottom ul li {
    margin: 0;
}

.contant-top a{
    text-decoration: none;
    color:#CFA8A1;
    font-size: 18px;

}

.contant-bottom a {
    letter-spacing: 1px;
    text-decoration: none;
    color: #CFA8A1;
    font-size: 25px;
    gap: 20px;
}

.contant-top a:hover, .contant-bottom a:hover {
    color: #F5953B;
}

.contant-top i, .contant-bottom i {
    margin-right: 8px;
}

.contant-bottom {
    margin-top: 10px;
}

.logo {
    display: flex;
    justify-content: flex-start;
    flex-grow: 1;
    width: 30%;
}

.logo img {
    max-width: 150px;
    height: auto;
}  /********************** نهاية تنسيق الناف بار ****************/
/**************/




/*****/

/**********************تنسيقات الفوتر **************************/
footer {
    background: #832C22;
    color: #F3F3F4;
    display: flex;
    flex-direction: column;
    padding: 20px;
    
}
footer p {
    margin: 0;
    margin-left: 40%;
    font-size: 30px;

}
.social-foot {
    list-style: none;
    display: flex;
    gap: 30px;
    padding-right: 50px;
    margin-left: 20%;
}
.social-foot li {
    margin: 0;
  
}
.social-foot a {
    color:white;
    font-size: 40px;
    text-decoration: none;
    transition: color 0.3s ease;   
} /****************************نهاية تنسيق الفوتر ***********************/

/***** القسم الاول الفديو******//* HOME PAGE**/
.hero-video-container{
  
  top: 0;
  left: 0;
  width: 100%;
  height: 80vh;
  overflow: hidden;
  z-index: -1;
}

.editable-div{
    background-size: cover; 
    background-position: center; 
    position: relative; 
}
.hero-video{
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}
/*************  القسم الثاني النص************/
.hero_text_container{
        background-color: #F3F3F3;
        height: 20%;
        display: flex; /* ضبط العرض */
        align-items: center; /* توسيط النص عمودياً */
        justify-content: center; /* توسيط النص أفقياً */  
        padding-top: 15px;
}
.hero_text {
        width: 80%;
        color: #832C22;
        font-size: 18px;
        word-spacing: 2px;
        text-align: center;   
}
/********************************القسم الثالث الصورة مع نص **********/
/* تنسيقات صورة يمين ويسار */
.BG_container {
    width: 100vw;  /* عرض 100% من الشاشة */
    height: 50vh;  /* ارتفاع 50% من الشاشة */
    display: flex; /* استخدام فليكس لوضع العناصر جنبًا إلى جنب */
}

/* القسم الأيمن */
.left_BG_container{
    width: 50%; /* يأخذ نصف عرض الحاوية */
    height: 100%; /* يأخذ كامل ارتفاع الحاوية */
    background-color: transparent; /* لون أزرق */
}

/* القسم الأيسر */
.right_BG_container {
    width: 50%; /* يأخذ نصف عرض الحاوية */
    height: 100%; /* يأخذ كامل ارتفاع الحاوية */
    background-color: rgba(228, 220, 220, 0.555); /* خلفية شفافة */
    display: flex;
    align-items: center; /* توسيط عمودي */
    justify-content: center; /* توسيط أفقي */
    
}

/* تنسيق النص داخل القسم الأيسر */
.left_BG_container p {
    font-size: 24px;
    font-weight: bold;
    color: black;
   
}
/********************************************الصور الثلاثة*******************************/
.full_circle_div{
   background-color: #FFFFFF;
    height: 70%;
    padding: 30px;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    gap: 20px;
    
}
.circle_div{
    width: 30%;
    padding: 3px;
    text-align: center; /* توسيط النص */
    display: flex;
    flex-direction: column; /* ترتيب العناصر عموديًا */
    align-items: center;

}

.circle_div h2{
    padding-bottom: 10px;
    color: #832C22;
    font-size: 18px;
    padding-top: 20px;
   
}

.circle_div p{
    
    padding-bottom: 10px;
    width: 60%;
    color: #11100f;
    font-size: 16px;
   
}

.circle_img{
    padding-bottom: 10px;
   width: 170px; 
   height: 170px;
   border-radius: 50%;
   transition: 3s;
}
.circle_img:hover{
 
    transform: translate( 100px, 30px); /*تحريك العنصر*/
}
/******************************************************** نهاية الصور الثلاثة *****************************/



button {
    background-color: #832C22;
    color: white;
    border: none;
    
    font-size: 18px;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s;
}

button:hover {
    background-color: #F5953B;
}

/*************************** ABOUT US*****************/
.about_all{
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;

}
.about_all_P{
    width: 50vw;
    height: 50%;
    display: flex;
    flex-direction: column;
    justify-content: center; 
    align-items: center; 
    text-align: center;     
}
.about_all_PP{
    padding: 0 100px;
    font-size: 18px;
    color: #333;
    margin-bottom: 20px; 
}
.about_all_img{
    width: 50vw;
    
    
}
.parallax-container {
    position: relative;
    height: 100vh;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  .parallax-img {
    position: absolute;
    width: 100%;
    max-height: 150%;
    top: 0;
    left: 50%;
    transform: translate(-50%, 0);
    transition: transform 0.1s ease-out;
  }

.ptext{
    text-align: justify;
    color: #832C22;
    font-size: 18px;
    font-weight: 800;
}

h2{
    font-size: 24px;
    text-align: center;
    color: #832C22;
    font-weight: 600; 
   padding-bottom: 20px;

}



